cURL Functions
FAM
cURL Functions
PHP Manual

# curl_version

(PHP 4 >= 4.0.2, PHP 5)

curl_version — Gets cURL version information

### Description

array curl_version ([ int `$age` ] )

Returns information about the cURL version.

### Parameters

`age`

### Return Values

Returns an associative array with the following elements:

version_number | cURL 24 bit version number
version | cURL version number, as a string
ssl_version_number | OpenSSL 24 bit version number
ssl_version | OpenSSL version number, as a string
libz_version | zlib version number, as a string
host | Information about the host where cURL was built
age |
features | A bitmask of the CURL_VERSION_XXX constants
protocols | An array of protocols names supported by cURL

cURL Functions
FAM
cURL Functions
PHP Manual